## nom.tam.fits
Class ImageHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.ExtensionHDU
              nom.tam.fits.ImageHDU

public class ImageHDU
extends ExtensionHDU

FITS image header/data unit

Field Summary

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`ImageHDU(Header header)` Create an image header/data unit.
`ImageHDU(Object obj)` Build an image HDU using the supplied data.
`ImageHDU(PrimaryHDU primary)` Build an image HDU from a RandomGroupsHDU.

Method Summary
`void` `info()` Print out some information about this HDU.
`boolean` `isHeader()` Check that this HDU has a valid header.
`static boolean` `isHeader(Header header)` Check that this is a valid image extension header.
`Data` `manufactureData()` Create a Data object to correspond to the header description.

Methods inherited from class nom.tam.fits.ExtensionHDU
`getExtensionLevel, getExtensionName, getExtensionType, getExtensionVersion`

Methods inherited from class nom.tam.fits.BasicHDU
`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageHDU

    public ImageHDU(Header header)
             throws FitsException

  Create an image header/data unit.

Parameters:
  `header` - the template specifying the image.
Throws:
  `FitsException` - if there was a problem with the header.

### ImageHDU

    public ImageHDU(PrimaryHDU primary)
             throws FitsException

  Build an image HDU from a RandomGroupsHDU.

Parameters:
  `primary` - the RandomGroupsHDU containing the image data.
Throws:
  `FitsException` - if there was a problem with the data.

### ImageHDU

    public ImageHDU(Object obj)
             throws FitsException

  Build an image HDU using the supplied data.

Parameters:
  `obj` - the data used to build the image.
Throws:
  `FitsException` - if there was a problem with the data.

Method Detail

### isHeader

    public static boolean isHeader(Header header)

  Check that this is a valid image extension header.

  Parameters:
    `header` - to validate.
  Returns:
    `true` if this is an image extension header.

### isHeader

    public boolean isHeader()

  Check that this HDU has a valid header.

  Returns:
    `true` if this HDU has a valid header.

### manufactureData

    public Data manufactureData()
                         throws FitsException

  Create a Data object to correspond to the header description.

  Specified by:
    `manufactureData` in class `BasicHDU`
  Returns:
    An unfilled Data object which can be used to read in the data for this HDU.
  Throws:
    `FitsException` - if the image extension could not be created.

### info

    public void info()

  Print out some information about this HDU.

  Specified by:
    `info` in class `BasicHDU`